<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8"/>
    <title>Topbar</title>
</head>
<body>
<nav
        th:fragment="adminTopbar"
        class="bg-white py-4 sticky w-full z-20 top-0 left-0 dark:bg-gray-900"
>
    <div
            class="container flex flex-wrap items-center justify-between mx-auto px-4"
    >
        <div class="flex items-center gap-2">
            <!-- togle menu button -->
            <button
                    data-drawer-target="app-side-left"
                    data-drawer-toggle="app-side-left"
                    aria-controls="app-side-left"
                    type="button"
                    class="inline-flex items-center p-2 w-10 h-10 justify-center text-sm text-gray-500 rounded-lg xl:hidden hover:bg-gray-100 focus:outline-none focus:ring-2 focus:ring-gray-200 dark:text-gray-400 dark:hover:bg-gray-700 dark:focus:ring-gray-600"
            >
                <span class="sr-only">Open main menu</span>
                <svg
                        class="w-5 h-5"
                        aria-hidden="true"
                        xmlns="http://www.w3.org/2000/svg"
                        fill="none"
                        viewBox="0 0 17 14"
                >
                    <path
                            stroke="currentColor"
                            stroke-linecap="round"
                            stroke-linejoin="round"
                            stroke-width="2"
                            d="M1 1h15M1 7h15M1 13h15"
                    />
                </svg>
            </button>
            <!-- brand -->
            <a th:href="@{'/'}" class="inline-flex items-center">
                <img
                        th:src="@{'/img/logo-icon.svg'}"
                        class="h-9 mr-3"
                        alt="Smile Logo"
                />
                <p class="text-3xl font-semibold text-gray-900 dark:text-white">
                    SMILE
                </p>
            </a>
        </div>
        <div class="flex items-center gap-4 md:order-2">
            <!-- notifications -->
            <button
                    id="dropdownNotificationButton"
                    data-dropdown-toggle="dropdownNotification"
                    data-dropdown-offset-distance="25"
                    class="text-gray-500 inline-flex items-center justify-center relative dark:text-gray-400 hover:bg-gray-100 w-9 h-9 dark:hover:bg-gray-700 focus:outline-none focus:ring-4 focus:ring-gray-200 dark:focus:ring-gray-700 rounded-lg text-sm"
                    type="button"
            >
                <svg
                        class="w-7 h-7 text-gray-800 dark:text-white"
                        aria-hidden="true"
                        xmlns="http://www.w3.org/2000/svg"
                        width="24"
                        height="24"
                        fill="currentColor"
                        viewBox="0 0 24 24"
                >
                    <path
                            d="M17.133 12.632v-1.8a5.406 5.406 0 0 0-4.154-5.262.955.955 0 0 0 .021-.106V3.1a1 1 0 0 0-2 0v2.364a.955.955 0 0 0 .021.106 5.406 5.406 0 0 0-4.154 5.262v1.8C6.867 15.018 5 15.614 5 16.807 5 17.4 5 18 5.538 18h12.924C19 18 19 17.4 19 16.807c0-1.193-1.867-1.789-1.867-4.175ZM8.823 19a3.453 3.453 0 0 0 6.354 0H8.823Z"
                    />
                </svg>
                <div
                        class="absolute w-2 h-2 bg-orange-500 rounded-full top-2 right-2"
                ></div>
            </button>
            <div
                    id="dropdownNotification"
                    class="z-20 hidden w-full max-w-sm bg-white divide-y divide-gray-100 rounded-lg shadow dark:bg-gray-800 dark:divide-gray-700"
                    aria-labelledby="dropdownNotificationButton"
            >
                <div
                        class="block px-4 py-2 font-medium text-center text-gray-700 rounded-t-lg bg-gray-50 dark:bg-gray-800 dark:text-white"
                >
                    Notifications
                </div>
                <div class="divide-y divide-gray-100 dark:divide-gray-700">
                    <!-- notification item 1 -->
                    <a
                            href="#"
                            class="flex gap-2 px-4 py-3 hover:bg-gray-100 dark:hover:bg-gray-700"
                    >
                        <img
                                class="rounded-full w-10 h-10"
                                th:src="@{/img/user.svg}"
                                alt="User image"
                        />
                        <div class="w-full">
                            <p class="text-gray-700 text-sm mb-1.5 dark:text-gray-400">
										<span
                                                class="text-gray-700 text-sm font-semibold dark:text-gray-400"
                                        >Furqon Hidayat, S.T</span
                                        >
                                <span>Menambahkan Pemberitahuan : </span>
                                <span>Info Tagihan Biaya kuliah Semester Ganjil 2024</span>
                            </p>

                            <p class="text-xs text-blue-600 dark:text-blue-500">
                                10 menute ago
                            </p>
                        </div>
                    </a>
                    <!-- notification item 2 -->
                    <a
                            href="#"
                            class="flex gap-2 px-4 py-3 hover:bg-gray-100 dark:hover:bg-gray-700"
                    >
                        <img
                                class="rounded-full w-10 h-10"
                                th:src="@{/img/user.svg}"
                                alt="User image"
                        />
                        <div class="w-full">
                            <p class="text-gray-700 text-sm mb-1.5 dark:text-gray-400">
										<span
                                                class="text-gray-700 text-sm font-semibold dark:text-gray-400"
                                        >Suradi ningrat, S.T</span
                                        >
                                <span>Menambahkan Pemberitahuan : </span>
                                <span>Hadiri kajian hifast 2.0</span>
                            </p>

                            <p class="text-xs text-blue-600 dark:text-blue-500">
                                1 hour ago
                            </p>
                        </div>
                    </a>
                </div>
                <a
                        href="#"
                        class="block py-2 text-sm font-medium text-center text-gray-900 rounded-b-lg bg-gray-50 hover:bg-gray-100 dark:bg-gray-800 dark:hover:bg-gray-700 dark:text-white"
                >
                    <div class="inline-flex items-center">
                        <svg
                                class="w-4 h-4 me-2 text-gray-500 dark:text-gray-400"
                                aria-hidden="true"
                                xmlns="http://www.w3.org/2000/svg"
                                fill="currentColor"
                                viewBox="0 0 20 14"
                        >
                            <path
                                    d="M10 0C4.612 0 0 5.336 0 7c0 1.742 3.546 7 10 7 6.454 0 10-5.258 10-7 0-1.664-4.612-7-10-7Zm0 10a3 3 0 1 1 0-6 3 3 0 0 1 0 6Z"
                            />
                        </svg>
                        View all
                    </div>
                </a>
            </div>
            <!-- user profile menu -->
            <button
                    type="button"
                    class="flex text-sm bg-blue-700 rounded-full shadow-lg w-9 h-9 focus:outline-none focus:ring-4 focus:ring-gray-200 dark:focus:ring-gray-700"
                    id="user-menu-button"
                    aria-expanded="false"
                    data-dropdown-toggle="user-dropdown"
                    data-dropdown-placement="bottom"
                    data-dropdown-offset-distance="25"
            >
						<span class="sr-only">Open user menu</span
                        ><img
                    class="w-9 h-9 rounded-full"
                    src="/img/user.svg"
                    alt="user photo"
            />
            </button>
            <div
                    class="z-50 hidden my-4 text-base list-none bg-white divide-y divide-gray-100 rounded-lg shadow overflow-hidden dark:bg-gray-700 dark:divide-gray-600"
                    id="user-dropdown"
                    data-popper-placement="bottom"
            >
                <div class="px-4 py-3">
							<span class="block text-sm text-gray-900 dark:text-white"
                            >Dofir Fauzi</span
                            ><span th:text="${session.user.userName}"
                        class="block text-sm text-gray-500 truncate dark:text-gray-400"
                >dofirfauzi@tazkia.ac.id</span
                >
                    <span th:text="${session.authority.name}"
                            class="block text-sm text-orange-400 truncate dark:text-blue-400"
                    >Login as : Student</span
                    >
                </div>
                <ul aria-labelledby="user-menu-button">
                    <li>
                        <a
                                th:href="@{'/onboard/select-role'}"
                                class="inline-flex items-center w-full px-4 py-2 text-sm text-left text-gray-900 hover:bg-gray-100 dark:hover:bg-gray-600 dark:text-gray-200 dark:hover:text-white"
                        >
                            <svg
                                    class="w-5 h-5 me-2 text-gray-400"
                                    aria-hidden="true"
                                    xmlns="http://www.w3.org/2000/svg"
                                    width="24"
                                    height="24"
                                    fill="none"
                                    viewBox="0 0 24 24"
                            >
                                <path
                                        stroke="currentColor"
                                        stroke-linecap="round"
                                        stroke-linejoin="round"
                                        stroke-width="2"
                                        d="M4 16h13M4 16l4-4m-4 4 4 4M20 8H7m13 0-4 4m4-4-4-4"
                                />
                            </svg>
                            Switch Role
                        </a>
                    </li>
                    <li>
                        <a
                                th:href="@{'/profile/dofir-fauzi'}"
                                class="inline-flex items-center w-full px-4 py-2 text-sm text-left text-gray-900 hover:bg-gray-100 dark:hover:bg-gray-600 dark:text-gray-200 dark:hover:text-white"
                        >
                            <svg
                                    class="w-5 h-5 me-2 text-gray-400"
                                    aria-hidden="true"
                                    xmlns="http://www.w3.org/2000/svg"
                                    width="24"
                                    height="24"
                                    fill="none"
                                    viewBox="0 0 24 24"
                            >
                                <path
                                        stroke="currentColor"
                                        stroke-width="2"
                                        d="M7 17v1a1 1 0 0 0 1 1h8a1 1 0 0 0 1-1v-1a3 3 0 0 0-3-3h-4a3 3 0 0 0-3 3Zm8-9a3 3 0 1 1-6 0 3 3 0 0 1 6 0Z"
                                />
                            </svg>

                            My Account
                        </a>
                    </li>
                    <li>
                        <button
                                id="toggle-theme"
                                type="submit"
                                class="inline-flex items-center w-full px-4 py-2 text-sm text-left text-gray-900 hover:bg-gray-100 dark:hover:bg-gray-600 dark:text-gray-200 dark:hover:text-white"
                        >
                            <div id="theme-toggle-dark-icon" class="flex">
                                <svg
                                        class="w-5 h-5 me-2 text-gray-400"
                                        aria-hidden="true"
                                        xmlns="http://www.w3.org/2000/svg"
                                        width="24"
                                        height="24"
                                        fill="none"
                                        viewBox="0 0 24 24"
                                >
                                    <path
                                            stroke="currentColor"
                                            stroke-linecap="round"
                                            stroke-linejoin="round"
                                            stroke-width="2"
                                            d="M12 21a9 9 0 0 1-.5-17.986V3c-.354.966-.5 1.911-.5 3a9 9 0 0 0 9 9c.239 0 .254.018.488 0A9.004 9.004 0 0 1 12 21Z"
                                    />
                                </svg>
                                Dark Theme
                            </div>
                            <div id="theme-toggle-light-icon" class="flex">
                                <svg
                                        class="w-5 h-5 me-2 text-gray-400"
                                        aria-hidden="true"
                                        xmlns="http://www.w3.org/2000/svg"
                                        width="24"
                                        height="24"
                                        fill="none"
                                        viewBox="0 0 24 24"
                                >
                                    <path
                                            stroke="currentColor"
                                            stroke-linecap="round"
                                            stroke-linejoin="round"
                                            stroke-width="2"
                                            d="M12 5V3m0 18v-2M7.05 7.05 5.636 5.636m12.728 12.728L16.95 16.95M5 12H3m18 0h-2M7.05 16.95l-1.414 1.414M18.364 5.636 16.95 7.05M16 12a4 4 0 1 1-8 0 4 4 0 0 1 8 0Z"
                                    />
                                </svg>
                                Light Theme
                            </div>
                        </button>
                    </li>
                    <li>
                        <form th:action="@{/logout}" method="post">
                            <button
                                    type="submit"
                                    class="inline-flex items-center w-full px-4 py-2 text-sm text-left text-gray-900 hover:bg-gray-100 dark:hover:bg-gray-600 dark:text-gray-200 dark:hover:text-white"
                            >
                                <svg
                                        class="w-5 h-5 me-2 text-gray-400"
                                        aria-hidden="true"
                                        xmlns="http://www.w3.org/2000/svg"
                                        width="24"
                                        height="24"
                                        fill="none"
                                        viewBox="0 0 24 24"
                                >
                                    <path
                                            stroke="currentColor"
                                            stroke-linecap="round"
                                            stroke-linejoin="round"
                                            stroke-width="2"
                                            d="M20 12H8m12 0-4 4m4-4-4-4M9 4H7a3 3 0 0 0-3 3v10a3 3 0 0 0 3 3h2"
                                    />
                                </svg>
                                Sign out
                            </button>
                        </form>
                    </li>
                </ul>
            </div>
        </div>
    </div>
</nav>
</body>
</html>
